extends Item

const FROST_EFFECT = preload("res://Effects/Frost.tscn")

func use(_target, target_enemy):
	Audio.play_sound("FrostBall")
	Audio.play_sound("ItemUse")
	if target_enemy is Entity:
		var inst = FROST_EFFECT.instance()
		inst.set_timers(5, 5)
		target_enemy.add_effect(inst)
